%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  mboost
%global packver   2.9-11
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          2.9.11
Release:          1%{?dist}%{?buildtag}
Summary:          Model-Based Boosting

License:          GPL-2
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.2.0
Requires:         R-core >= 3.2.0
BuildRequires:    R-CRAN-survival >= 3.2.10
BuildRequires:    R-CRAN-partykit >= 1.2.1
BuildRequires:    R-CRAN-stabs >= 0.5.0
BuildRequires:    R-methods 
BuildRequires:    R-stats 
BuildRequires:    R-parallel 
BuildRequires:    R-CRAN-Matrix 
BuildRequires:    R-splines 
BuildRequires:    R-CRAN-lattice 
BuildRequires:    R-CRAN-nnls 
BuildRequires:    R-CRAN-quadprog 
BuildRequires:    R-utils 
BuildRequires:    R-graphics 
BuildRequires:    R-grDevices 
Requires:         R-CRAN-survival >= 3.2.10
Requires:         R-CRAN-partykit >= 1.2.1
Requires:         R-CRAN-stabs >= 0.5.0
Requires:         R-methods 
Requires:         R-stats 
Requires:         R-parallel 
Requires:         R-CRAN-Matrix 
Requires:         R-splines 
Requires:         R-CRAN-lattice 
Requires:         R-CRAN-nnls 
Requires:         R-CRAN-quadprog 
Requires:         R-utils 
Requires:         R-graphics 
Requires:         R-grDevices 

%description
Functional gradient descent algorithm (boosting) for optimizing general
risk functions utilizing component-wise (penalised) least squares
estimates or regression trees as base-learners for fitting generalized
linear, additive and interaction models to potentially high-dimensional
data. Models and algorithms are described in <doi:10.1214/07-STS242>, a
hands-on tutorial is available from <doi:10.1007/s00180-012-0382-5>. The
package allows user-specified loss functions and base-learners.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
